Security update for subversion

SUSE Security Update: Security update for subversion
Announcement ID: SUSE-SU-2014:0540-1
Rating: moderate
References: #862459
Affected Products:
  • SUSE Studio Onsite 1.3
  • SUSE Linux Enterprise Software Development Kit 11 SP3

  • An update that fixes one vulnerability is now available.


    Subversion was vulnerable to a segmentation fault in the
    mod_dav_svn Apache2 module that could have been triggered
    from remote. This has been fixed. (CVE-2014-0032)

    Security Issue reference:

    * CVE-2014-0032

    Patch Instructions:

    To install this SUSE Security Update use YaST online_update.
    Alternatively you can run the command listed for your product:

    • SUSE Studio Onsite 1.3:
      zypper in -t patch slestso13-subversion-9070
    • SUSE Linux Enterprise Software Development Kit 11 SP3:
      zypper in -t patch sdksp3-subversion-9080

    To bring your system up-to-date, use "zypper patch".

    Package List:

    • SUSE Studio Onsite 1.3 (x86_64):
    • subversion-1.6.17-1.27.2
    • SUSE Linux Enterprise Software Development Kit 11 SP3 (i586 ia64 ppc64 s390x x86_64):
    • subversion-1.6.17-1.27.2
    • subversion-devel-1.6.17-1.27.2
    • subversion-perl-1.6.17-1.27.2
    • subversion-python-1.6.17-1.27.2
    • subversion-server-1.6.17-1.27.2
    • subversion-tools-1.6.17-1.27.2